<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

    <title>2018</title>
    <meta name="description" content="">
    <meta name="author" content="None">
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="../static/styles.min.css">
    <script src="../static/photoswipe.min.js"></script>
    <script src="../static/photoswipe-ui-default.min.js"></script>
    <script src="../static/echo/echo.min.js"></script>
  </head>
  <body>
  <div class="container">
	<h1><a href="../index.html">Rencontres Hivernales du Libre</a></h1>

    <div class="menu">
      <ul>
        	<li><a href="https://rencontres.hivernal.es/">Site de l&#39;événement</a></li>
        	<li><a href="https://swisslinux.org/">Swisslinux.org</a></li>
      </ul>
    </div>


        <div class="content">
		    <div class="breadcrumb">
			    <h2>
			      <a href="index.html">2018</a></h2>
		    </div>



			<div class="gallery" itemscope itemtype="http://schema.org/ImageGallery">
						  		<figure class="gallery__img--main thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-0.jpg" itemprop="contentUrl" data-size="2500x1749">
									<img src="../static/echo/blank.gif" data-echo="20180115_0090-0.jpg" alt="20180115_0090-0.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-0.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-10.jpg" itemprop="contentUrl" data-size="2500x3819">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-10.jpg" alt="20180115_0090-10.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-10.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-11.jpg" itemprop="contentUrl" data-size="2500x1507">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-11.jpg" alt="20180115_0090-11.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-11.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-12.jpg" itemprop="contentUrl" data-size="2500x1497">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-12.jpg" alt="20180115_0090-12.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-12.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-13.jpg" itemprop="contentUrl" data-size="2500x1744">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-13.jpg" alt="20180115_0090-13.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-13.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-14.jpg" itemprop="contentUrl" data-size="2500x1669">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-14.jpg" alt="20180115_0090-14.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-14.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-15.jpg" itemprop="contentUrl" data-size="2500x1707">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-15.jpg" alt="20180115_0090-15.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-15.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-16.jpg" itemprop="contentUrl" data-size="2500x1669">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-16.jpg" alt="20180115_0090-16.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-16.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-17.jpg" itemprop="contentUrl" data-size="2500x1572">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-17.jpg" alt="20180115_0090-17.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-17.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-18.jpg" itemprop="contentUrl" data-size="2500x2165">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-18.jpg" alt="20180115_0090-18.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-18.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-1.jpg" itemprop="contentUrl" data-size="2500x1386">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-1.jpg" alt="20180115_0090-1.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-1.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-2.jpg" itemprop="contentUrl" data-size="2500x3630">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-2.jpg" alt="20180115_0090-2.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-2.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-3.jpg" itemprop="contentUrl" data-size="2500x4219">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-3.jpg" alt="20180115_0090-3.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-3.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-4.jpg" itemprop="contentUrl" data-size="2500x1665">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-4.jpg" alt="20180115_0090-4.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-4.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-5.jpg" itemprop="contentUrl" data-size="2500x1669">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-5.jpg" alt="20180115_0090-5.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-5.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-6.jpg" itemprop="contentUrl" data-size="2500x2145">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-6.jpg" alt="20180115_0090-6.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-6.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-7.jpg" itemprop="contentUrl" data-size="2500x1412">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-7.jpg" alt="20180115_0090-7.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-7.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-8.jpg" itemprop="contentUrl" data-size="2500x1580">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-8.jpg" alt="20180115_0090-8.jpg" itemprop="thumbnail" title="vendredi, 12. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-8.jpg - vendredi, 12. janvier 2018</figcaption>
							    </figure>
							    <figure class="gallery__img--secondary thumbnail" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
									<a href="20180115_0090-9.jpg" itemprop="contentUrl" data-size="2500x1646">
									<img src="../static/echo/blank.gif" data-echo="thumbnails/20180115_0090-9.jpg" alt="20180115_0090-9.jpg" itemprop="thumbnail" title="samedi, 13. janvier 2018" />
									</a>
									<figcaption itemprop="caption description">20180115_0090-9.jpg - samedi, 13. janvier 2018</figcaption>
							    </figure>
			</div>


		</div>

 		<footer>
	 	  <p>          Generated by <a href="https://github.com/saimn/sigal">sigal</a>
          </p>
	 	</footer>
	  	<!-- Root element of PhotoSwipe. Must have class pswp. -->
		<div class="pswp" tabindex="-1" role="dialog" aria-hidden="true">

		    <!-- Background of PhotoSwipe.
		         It's a separate element as animating opacity is faster than rgba(). -->
		    <div class="pswp__bg"></div>

		    <!-- Slides wrapper with overflow:hidden. -->
		    <div class="pswp__scroll-wrap">

		        <!-- Container that holds slides.
		            PhotoSwipe keeps only 3 of them in the DOM to save memory.
		            Don't modify these 3 pswp__item elements, data is added later on. -->
		        <div class="pswp__container">
		            <div class="pswp__item"></div>
		            <div class="pswp__item"></div>
		            <div class="pswp__item"></div>
		        </div>

		        <!-- Default (PhotoSwipeUI_Default) interface on top of sliding area. Can be changed. -->
		        <div class="pswp__ui pswp__ui--hidden">

		            <div class="pswp__top-bar">

		                <!--  Controls are self-explanatory. Order can be changed. -->

		                <div class="pswp__counter"></div>

		                <button class="pswp__button pswp__button--close" title="Close (Esc)"></button>

		                <button class="pswp__button pswp__button--share" title="Share"></button>

		                <button class="pswp__button pswp__button--fs" title="Toggle fullscreen"></button>

		                <button class="pswp__button pswp__button--zoom" title="Zoom in/out"></button>

		                <!-- Preloader demo http://codepen.io/dimsemenov/pen/yyBWoR -->
		                <!-- element will get class pswp__preloader-active when preloader is running -->
		                <div class="pswp__preloader">
		                    <div class="pswp__preloader__icn">
		                      <div class="pswp__preloader__cut">
		                        <div class="pswp__preloader__donut"></div>
		                      </div>
		                    </div>
		                </div>
		            </div>

		            <div class="pswp__share-modal pswp__share-modal--hidden pswp__single-tap">
		                <div class="pswp__share-tooltip"></div>
		            </div>

		            <button class="pswp__button pswp__button--arrow--left" title="Previous (arrow left)">
		            </button>

		            <button class="pswp__button pswp__button--arrow--right" title="Next (arrow right)">
		            </button>

		            <div class="pswp__caption">
		                <div class="pswp__caption__center"></div>
		            </div>

		        </div>

		    </div>

		</div>
		<script>
		  echo.init({
		    offset: 100,
		    throttle: 250,
		    unload: false
		  });

		var initPhotoSwipeFromDOM = function(gallerySelector) {

	    // parse slide data (url, title, size ...) from DOM elements
	    // (children of gallerySelector)
	    var parseThumbnailElements = function(el) {
	        var thumbElements = el.childNodes,
	            numNodes = thumbElements.length,
	            items = [],
	            figureEl,
	            linkEl,
	            size,
	            item;

	        for(var i = 0; i < numNodes; i++) {

	            figureEl = thumbElements[i]; // <figure> element

	            // include only element nodes
	            if(figureEl.nodeType !== 1) {
	                continue;
	            }

	            linkEl = figureEl.children[0]; // <a> element

	            // create slide object
                if (linkEl.getAttribute('data-type') == 'video') {
                    item = {
                      html: linkEl.getAttribute('data-video')
                    };
                } else {
                    size = linkEl.getAttribute('data-size').split('x');
                    item = {
                        src: linkEl.getAttribute('href'),
                        w: parseInt(size[0], 10),
                        h: parseInt(size[1], 10)
                    };
                }

	            if(figureEl.children.length > 1) {
	                // <figcaption> content
	                item.title = figureEl.children[1].innerHTML;
	            }

	            if(linkEl.children.length > 0) {
	                // <img> thumbnail element, retrieving thumbnail url
	                item.msrc = linkEl.children[0].getAttribute('data-echo');
	            }

	            item.el = figureEl; // save link to element for getThumbBoundsFn
	            items.push(item);
	        }

	        return items;
	    };

	    // find nearest parent element
	    var closest = function closest(el, fn) {
	        return el && ( fn(el) ? el : closest(el.parentNode, fn) );
	    };

	    // triggers when user clicks on thumbnail
	    var onThumbnailsClick = function(e) {
	        e = e || window.event;
	        e.preventDefault ? e.preventDefault() : e.returnValue = false;

	        var eTarget = e.target || e.srcElement;

	        // find root element of slide
	        var clickedListItem = closest(eTarget, function(el) {
	            return (el.tagName && el.tagName.toUpperCase() === 'FIGURE');
	        });

	        if(!clickedListItem) {
	            return;
	        }

	        // find index of clicked item by looping through all child nodes
	        // alternatively, you may define index via data- attribute
	        var clickedGallery = clickedListItem.parentNode,
	            childNodes = clickedListItem.parentNode.childNodes,
	            numChildNodes = childNodes.length,
	            nodeIndex = 0,
	            index;

	        for (var i = 0; i < numChildNodes; i++) {
	            if(childNodes[i].nodeType !== 1) {
	                continue;
	            }

	            if(childNodes[i] === clickedListItem) {
	                index = nodeIndex;
	                break;
	            }
	            nodeIndex++;
	        }



	        if(index >= 0) {
	            // open PhotoSwipe if valid index found
	            openPhotoSwipe( index, clickedGallery );
	        }
	        return false;
	    };

	    // parse picture index and gallery index from URL (#&pid=1&gid=2)
	    var photoswipeParseHash = function() {
	        var hash = window.location.hash.substring(1),
	        params = {};

	        if(hash.length < 5) {
	            return params;
	        }

	        var vars = hash.split('&');
	        for (var i = 0; i < vars.length; i++) {
	            if(!vars[i]) {
	                continue;
	            }
	            var pair = vars[i].split('=');
	            if(pair.length < 2) {
	                continue;
	            }
	            params[pair[0]] = pair[1];
	        }

	        if(params.gid) {
	            params.gid = parseInt(params.gid, 10);
	        }

	        return params;
	    };

	    var openPhotoSwipe = function(index, galleryElement, disableAnimation, fromURL) {
	        var pswpElement = document.querySelectorAll('.pswp')[0],
	            gallery,
	            options,
	            items;

	        items = parseThumbnailElements(galleryElement);

	        // define options (if needed)
	        options = {

	            // define gallery index (for URL)
	            galleryUID: galleryElement.getAttribute('data-pswp-uid'),

	            getThumbBoundsFn: function(index) {
	                // See Options -> getThumbBoundsFn section of documentation for more info
	                var thumbnail = items[index].el.getElementsByTagName('img')[0], // find thumbnail
	                    pageYScroll = window.pageYOffset || document.documentElement.scrollTop,
	                    rect = thumbnail.getBoundingClientRect();

	                return {x:rect.left, y:rect.top + pageYScroll, w:rect.width};
	            }

	        };

	        // PhotoSwipe opened from URL
	        if(fromURL) {
	            if(options.galleryPIDs) {
	                // parse real index when custom PIDs are used
	                // http://photoswipe.com/documentation/faq.html#custom-pid-in-url
	                for(var j = 0; j < items.length; j++) {
	                    if(items[j].pid == index) {
	                        options.index = j;
	                        break;
	                    }
	                }
	            } else {
	                // in URL indexes start from 1
	                options.index = parseInt(index, 10) - 1;
	            }
	        } else {
	            options.index = parseInt(index, 10);
	        }

	        // exit if index not found
	        if( isNaN(options.index) ) {
	            return;
	        }

	        if(disableAnimation) {
	            options.showAnimationDuration = 0;
	        }

	        // Pass data to PhotoSwipe and initialize it
	        gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);
	        gallery.init();
	    };

	    // loop through all gallery elements and bind events
	    var galleryElements = document.querySelectorAll( gallerySelector );

	    for(var i = 0, l = galleryElements.length; i < l; i++) {
	        galleryElements[i].setAttribute('data-pswp-uid', i+1);
	        galleryElements[i].onclick = onThumbnailsClick;
	    }

	    // Parse URL and open gallery if it contains #&pid=3&gid=1
	    var hashData = photoswipeParseHash();
	    if(hashData.pid && hashData.gid) {
	        openPhotoSwipe( hashData.pid ,  galleryElements[ hashData.gid - 1 ], true, true );
	    }
	};

	// execute above function
	initPhotoSwipeFromDOM('.gallery');

		</script>

</div>
</body>
</html>